/**
 * This file is part of my seminar project.
 * Following code, along with other files in this project,
 * realizes the visualization of A* algorithm.
 * 
 * @author Teon Banek
 */

package hr.fer.seminar;

/**
 * Enumerates possible return values for finding a path with {@link Pathfinder}.
 * 
 * @author Teon Banek
 * 
 */
public enum PathfinderStatus {

	/**
	 * There are more nodes to be analyzed.
	 */
	CONTINUE,

	/**
	 * All nodes were exhausted and no path was found.
	 */
	NO_PATH_FOUND,

	/**
	 * A path was found.
	 */
	PATH_FOUND
}
